Subject: [sfc] WG Adoption calls: two MD-1 drafts

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 29 Nov 2017 16:19:07 -0500

The WG chairs have been asked to issue calls for adoption for two of the 
MD-1 related drafts:

https://datatracker.ietf.org/doc/draft-napper-sfc-nsh-broadband-allocation/

and

https://datatracker.ietf.org/doc/draft-guichard-sfc-nsh-dc-allocation/

These documents aim for publication as Informational RFCs.

As Jim is the coauthor on one of these two, I will be overseeing both 
adoption calls.

Given that there are two last calls an two calls for working group 
adoption (see following emails) we are allowing 3 weeks for these calls.

Please respond with either support or objection to the WG adopting 
either or both of these documents.

We need to see feedback.  Silence does not imply consent.
We would prefer feedback with content.

Thank you,
Joel

---

From: Sumandra Majee <[email-masked]>
Date: Wed, 29 Nov 2017 21:55:23 +0000

I support both.

On 11/29/17, 1:19 PM, "sfc on behalf of Joel M. Halpern" <[email-masked] on behalf of [email-masked]> wrote:

    EXTERNAL MAIL: [email-masked]

    
    and

    

    
    
    Thank you,
    Joel
    
    _______________________________________________
    sfc mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/sfc

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 29 Nov 2017 16:56:41 -0500

Joel,

I support both of these drafts to be adopted as WG drafts. I do have a
minor comment on draft-guichard. As this is intended to be an Informational
RFC and it doesn’t contain any RFC 2119 language, I recommend that section
1.1 be removed. This can be done following WG adoption.

Thanks,
Andy

On Wed, Nov 29, 2017 at 4:19 PM, Joel M. Halpern <[email-masked]>
wrote:

> Please respond with either support or objection to the WG adopting either
> or both of these documents.
>

---

From: <[email-masked]>
Date: Thu, 30 Nov 2017 09:36:13 +0000

Joel, all, 

(1) 

draft-guichard-sfc-nsh-dc-allocation-07 addressed the comments I had on -06 (https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-guichard-sfc-nsh-dc-allocation-06-rev%20Med.doc). Many thanks to the authors. I'm happy with this document to be adopted.

In order to remove the dependency on draft-penno, the authors may consider adding a pointer to the format of the Opaque Service Class when F=02. For example, the text can indicate that the format is the one depicted in Figure 2 of RFC6759:

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |Class. Eng. ID |zero-valued upper-bits ... Selector ID         |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

                    Figure 2: Selector ID Encoding

The text should also warrant that some defined selector IDs are encoded in 5 bytes. Evidently, those cannot be inserted in this MD-1 format. The text should call those explicitly (See Section 4.2 of RFC6759). 

(2) 

I do also support draft-napper-sfc-nsh-broadband-allocation.

Cheers,
Med

> -----Message d'origine-----
> De : sfc [mailto:[email-masked]] De la part de Joel M. Halpern
> Envoyé : mercredi 29 novembre 2017 22:19
> À : [email-masked]
> Objet : [sfc] WG Adoption calls: two MD-1 drafts
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 30 Nov 2017 14:00:55 +0000

Joel,

I’ll look at this call and the other concurrent ones. But in the mean time, a quick question:

Should the WG attempt to advance the MD field definitions for MD-1 and MD-2 together as they apply to the same use-cases? For things like Tenant ID, Network ingress identification, etc.

Should there be a parallel call to https://datatracker.ietf.org/doc/draft-quinn-sfc-nsh-tlv/ ?

Thanks,

—
Carlos Pignataro, [email-masked]<mailto:[email-masked]>

“Sometimes I use big words that I do not fully understand, to make myself sound more photosynthesis."

On Nov 29, 2017, at 4:19 PM, Joel M. Halpern <[email-masked]<mailto:[email-masked]>> wrote:

The WG chairs have been asked to issue calls for adoption for two of the MD-1 related drafts:

and

As Jim is the coauthor on one of these two, I will be overseeing both adoption calls.

Given that there are two last calls an two calls for working group adoption (see following emails) we are allowing 3 weeks for these calls.

Please respond with either support or objection to the WG adopting either or both of these documents.

Thank you,
Joel

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 30 Nov 2017 09:14:55 -0500

Sumandra (the pen holding author) did ask for WG adoption for that draft.
I was concerned about sending too many requests to the WG.  However, as 
noted by you and Med, there is a strong relationship with the two MD-1 
drafts and the MD-2 draft.  As such, I will send an adoption call for 
the MD-2 draft later today.

Thank you,
Joel

On 11/30/17 9:00 AM, Carlos Pignataro (cpignata) wrote:
> Should the WG attempt to advance the MD field definitions for MD-1 and 
> MD-2 together as they apply to the same use-cases? For things like 
> Tenant ID, Network ingress identification, etc.
> 
> Should there be a parallel call to 
> https://datatracker.ietf.org/doc/draft-quinn-sfc-nsh-tlv/ ?
> 
> Thanks,
> 
> —
> Carlos Pignataro, [email-masked] <mailto:[email-masked]>
> 
> /“Sometimes I use big words that I do not fully understand, to make 
> myself sound more photosynthesis."/
>

---

From: "Paul Quinn (paulq)" <[email-masked]>
Date: Thu, 30 Nov 2017 18:40:26 +0000

+1

> On Nov 29, 2017, at 4:55 PM, Sumandra Majee <[email-masked]> wrote:
> 
> I support both.
>